| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingStreamedMediaStreams Class Reference
Channel proxies

Class containing the result of an asynchronous streamed media stream creation request. More...

`#include <TelepathyQt/PendingStreamedMediaStreams>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingStreamedMediaStreams ()
- StreamedMediaChannelPtr channel () const
- StreamedMediaStreams streams () const

## Detailed Description

Class containing the result of an asynchronous streamed media stream creation request.

Instances of this class cannot be constructed directly; the only way to get one is via StreamedMediaChannel.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingStreamedMediaStreams::~PendingStreamedMediaStreams | ( |  | ) |

Class destructor.

## Member Function Documentation

StreamedMediaChannelPtr Tp::PendingStreamedMediaStreams::channel | ( |  | ) | const

Return the channel through which the request was made.

Returns:
  A pointer to the StreamedMediaChannel object.

StreamedMediaStreams Tp::PendingStreamedMediaStreams::streams | ( |  | ) | const

Return a list of the newly created StreamedMediaStreamPtr objects.

Returns:
  A list of pointers to StreamedMediaStream objects, or an empty list if an error occurred.